<?php

namespace AppBundle\Controller;

use AppBundle\Entity\Realisateur;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;

class AjaxController extends Controller
{
    /**
     * @Route("/ajax", name="ajax_recherche")
     */
    public function ajaxAction (Request $request)
    {

        return $this->render('@App/videotheque/testajax.html.twig');
    }

    /**
     * @Route("/rqajax", name="ajax_requete")
     */
    public function requeteAjaxAction(Request $request)
    {
        if ($request->isXmlHttpRequest())
        {
            $em = $this->getDoctrine()->getManager();
            $repo = $em->getRepository('AppBundle:Realisateur');
            $resultats = $repo->findByNomComplet($request->request->get('mot_cle'));
            foreach ($resultats as $key=>$realisateur) {
                $resultats[$key] = $this->get('serializer')->serialize($realisateur, 'json');
            }
            return new JsonResponse($resultats);
        }

        return $this->redirectToRoute('ajax_recherche');
    }
}
